sailpoint.object

## Class Application

- java.lang.Object
- - sailpoint.object.Application

    public class Application
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Application()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Attributes<java.lang.String,java.lang.Object>` `getAttributes()`
`java.lang.Object` `getAttributeValue(java.lang.String name)`
`java.lang.String` `getId()`
`int` `getIntAttributeValue(java.lang.String name)`
`Filter.LeafFilter` `getManagerCorrelationFilter()`
`java.lang.String` `getName()`
`java.util.List<PasswordPolicyHolder>` `getPasswordPolicies()`
`java.util.List<Schema>` `getSchemas()`
`java.lang.String` `getStringAttributeValue(java.lang.String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Application

    public Application()

### Method Detail

#### getId

    public java.lang.String getId()

#### getName

    public java.lang.String getName()

#### getAttributes

    public Attributes<java.lang.String,java.lang.Object> getAttributes()

#### getAttributeValue

    public java.lang.Object getAttributeValue(java.lang.String name)

#### getStringAttributeValue

    public java.lang.String getStringAttributeValue(java.lang.String name)

#### getSchemas

    public java.util.List<Schema> getSchemas()

#### getIntAttributeValue

    public int getIntAttributeValue(java.lang.String name)

#### getManagerCorrelationFilter

    public Filter.LeafFilter getManagerCorrelationFilter()

#### getPasswordPolicies

    public java.util.List<PasswordPolicyHolder> getPasswordPolicies()